component: Hesai
proto_imports:
  - vehicle/lidar/diagnostics/hesai_diagnostics.proto
metric: HesaiMetric
namespace: zoox::lidar::hesai
faults:
  - id: 1
    name: ClockSkewTooHigh
    severity: WARNING
    description: The hesai clock is too far offset from the system clock
    freeze_frame: HesaiClockSkewFreezeFrame
  - id: 2
    name: MotorSpeedOutOfBounds
    severity: ERROR
    description: The hesai reported motor speed is outside of [590,610]
    triggers_nogo: true
    freeze_frame: HesaiPacketFaultFreezeFrame
  - id: 3
    name: TemperatureTooHigh
    severity: ERROR
    description: The hesai temperature is reported to be too high
    triggers_nogo: true
    freeze_frame: HesaiPacketFaultFreezeFrame
